Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723114 - sys-devel/clang-10.0.0 - .../work/x/y/llvm/utils/lit/lit/formats/googletest.py", line 44, in getGTestTests raise StopIteration
Summary: sys-devel/clang-10.0.0 - .../work/x/y/llvm/utils/lit/lit/formats/googletest.p...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: Normal normal with 1 vote (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2020-05-14 23:04 UTC by ernsteiswuerfel
Modified: 2020-08-15 19:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (clang-10.0.0:20200512-205933.log.xz,201.97 KB, text/plain)
2020-05-14 23:05 UTC, ernsteiswuerfel
Details
emerge --info (file_723114.txt,6.18 KB, text/plain)
2020-05-14 23:05 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2020-05-14 23:04:32 UTC
[...]
Testing Time: 641.26s
  Expected Passes    : 882
  Expected Failures  : 2
  Unsupported Tests  : 1
[1/2] cd /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test && /var/tmp/portage/sys-devel/clang-10.0.0/temp/python3.7/bin/python /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/./bin/llvm-lit -vv -j 8 /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test/../unittests /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test
: CommandLine Error: Option 'help-list' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options
llvm-lit: /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/formats/googletest.py:43: warning: unable to discover google-tests in '/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/unittests/./ClangdTests': Command '['/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/unittests/./ClangdTests', '--gtest_list_tests']' returned non-zero exit status 1.. Process output: b''
Traceback (most recent call last):
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/formats/googletest.py", line 39, in getGTestTests
    env=localConfig.environment)
  File "/usr/lib/python3.7/subprocess.py", line 411, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.7/subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/unittests/./ClangdTests', '--gtest_list_tests']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/formats/googletest.py", line 44, in getGTestTests
    raise StopIteration
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/./bin/llvm-lit", line 33, in <module>
    main(builtin_parameters)
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/main.py", line 45, in main
    discovered_tests = lit.discovery.find_tests_for_inputs(lit_config, opts.test_paths)
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/discovery.py", line 241, in find_tests_for_inputs
    test_suite_cache, local_config_cache)[1])
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/discovery.py", line 163, in getTestsInSuite
    litConfig, lc):
  File "/var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/llvm/utils/lit/lit/formats/googletest.py", line 94, in getTestsInDirectory
    for testname in testnames:
RuntimeError: generator raised StopIteration
FAILED: tools/extra/clangd/test/CMakeFiles/check-clangd 
cd /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test && /var/tmp/portage/sys-devel/clang-10.0.0/temp/python3.7/bin/python /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/./bin/llvm-lit -vv -j 8 /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test/../unittests /var/tmp/portage/sys-devel/clang-10.0.0/work/x/y/clang-abi_x86_32.x86/tools/extra/clangd/test
ninja: build stopped: subcommand failed.
 [31;01m*[0m ERROR: sys-devel/clang-10.0.0::gentoo failed (test phase):
 [31;01m*[0m   ninja -v -j8 -l2 check-clang-tools check-clangd failed
 [31;01m*[0m 
 [31;01m*[0m Call stack:
 [31;01m*[0m     ebuild.sh, line  125:  Called src_test
 [31;01m*[0m   environment, line 3918:  Called multilib-minimal_src_test
 [31;01m*[0m   environment, line 2562:  Called multilib_foreach_abi 'multilib-minimal_abi_src_test'
 [31;01m*[0m   environment, line 2753:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_test'
 [31;01m*[0m   environment, line 2427:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_test'
 [31;01m*[0m   environment, line 2425:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_test'
 [31;01m*[0m   environment, line  668:  Called multilib-minimal_abi_src_test
 [31;01m*[0m   environment, line 2556:  Called multilib_src_test
 [31;01m*[0m   environment, line 3026:  Called cmake-utils_src_make 'check-clang-tools' 'check-clangd'
 [31;01m*[0m   environment, line 1376:  Called _cmake_ninja_src_make 'check-clang-tools' 'check-clangd'
 [31;01m*[0m   environment, line  513:  Called eninja 'check-clang-tools' 'check-clangd'
 [31;01m*[0m   environment, line 1681:  Called die
 [31;01m*[0m The specific snippet of code:
 [31;01m*[0m       "$@" || die "${nonfatal_args[@]}" "${*} failed"
Comment 1 ernsteiswuerfel 2020-05-14 23:05:17 UTC
Created attachment 639100 [details]
build.log.xz
Comment 2 ernsteiswuerfel 2020-05-14 23:05:51 UTC
Created attachment 639102 [details]
emerge --info
Comment 3 Kevin Lyles 2020-08-15 19:33:12 UTC
I also see this failure.  What can I do to help resolve it?